CREATE procedure [C6StagingPeriodico].[RP_ST_Proposta]  
as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_Proposta',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_Proposta  
 INSERT INTO C6StagingPeriodico.RP_Proposta  
 SELECT  
  chiaveProposta  
  ,chiaveConsulenza  
  ,[status]  
  ,chiaveClientePB  
  ,nomeProposta  
  ,dtProposta  
  ,dtValidazione  
  ,dtUltimoAgg  
  ,dtScadenza  
  ,risorseFinanziarieBF  
  ,risorseFinanziarieBT  
  ,contoCorrente  
  ,rischioCredito  
  ,rischioMercato  
  ,adeguatezza  
  ,discesaRegime  
  ,diversificazione  
  ,copertura  
  ,codValidazione  
  ,urlValidazione  
  ,urlSimulazione  
  ,urlReport  
  ,apporti  
  ,prelievi  
  ,flgScadenza  
  ,flgInadRischioCredito  
  ,flgInadRischioMercato  
  ,flgInadComplessita  
  ,flgInadFrequenza  
  ,flgInadConcentrazione  
  ,flgInadLiquidita  
  ,isAttivoRC  
  ,token  
  ,flagNuovoFlusso  
  ,lineaself  
  --,null AS lineaself  
 FROM [CONSUNI_PERIODICO].[ConsulenzaUnica].dbo.Proposta  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_Proposta' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_Proposta'  
  )  
end